Results 1 to 6 of 6
  1. gutbomb's Avatar
    Posts
    24 Posts
    Global Posts
    26 Global Posts
       #1  
    I'm new to the scene so I'm not aware if any of this is possible at all and how Palm distributes OTA updates to unlocked or non-carrier tied devices so I may be completely wrong about how things work.

    If I unlock my phone am I able to:
    a) use it as is on 1.4.2 with my existing at&t sim?
    b) install some other carrier's 1.4.5 via webos doctor and use my existing sim? (I've seen someone in the UK installing the sprint 1.4.5 on their unlocked phone)

    In the event that either answer above is "yes" would I still be able to use the US app catalog? I live in the US so I'm not looking for access to the US app catalog from outside the US.

    I just think it's ridiculous how long it's taken AT&T to release the 1.4.5 update and don't expect it anytime soon and am looking for other options.


    Aside from unlocking have there been any efforts to merge one carrier's webos doctor with another? Like, say, take the 1.4.5 files from the sprint update and merge them into the at&t jar file and try the install that way?
  2. aapold's Avatar
    Posts
    292 Posts
    Global Posts
    834 Global Posts
    #2  
    Hrm. seeing as 1.4.2 was specific to GSM, wonder if they will be unified in 1.4.5+ or if we'll need separate updates for each?
  3. #3  
    All your answers: yes, but they all require skills that someone 'new to the scene' probably is not familiar with.
    First requirements are an inquisitive nature and proper research.
  4. gutbomb's Avatar
    Posts
    24 Posts
    Global Posts
    26 Global Posts
       #4  
    Quote Originally Posted by GuyFromNam View Post
    All your answers: yes, but they all require skills that someone 'new to the scene' probably is not familiar with.
    First requirements are an inquisitive nature and proper research.
    I ended up figuring it out. Meta-Doctor worked great to apply the European GSM Pre Plus 1.4.5 to my AT&T device. It's nice not having to wait for AT&T. It's a much easier process than I expected. (Maybe it was easier for me because I'm well acquainted with Unix)
  5. #5  
    So just flashing the EU doctor worked? Did you lose NAM 3G?
  6. gutbomb's Avatar
    Posts
    24 Posts
    Global Posts
    26 Global Posts
       #6  
    Quote Originally Posted by mafiaboy01 View Post
    So just flashing the EU doctor worked? Did you lose NAM 3G?
    No, the software is all the same. I used meta-doctor to modify the doctor a little bit. I didn't really accomplish what I wanted, the ability to run stuff that requires 1.4.5 on at&t, but I'm working on it. My phone has 1.4.5 on it but the app catalog seems to know I'm not supposed to be able to run apps that require 1.4.5 so it doesn't display them, and direct linking to them in the app catalog (like from preware) tells me that I don't have the latest OS (ha!). I thought maybe it was because I was using a UK doctor so I re-did it all with the sprint doctor, but I still get the same stuff.

    If you're interested, look into it here: Application:MetaDoctor - WebOS Internals

Posting Permissions